Create start comment

- « XMLWriter::startCdata

- XMLWriter::startDocument »

- PHP Manual
- XMLWriter
- Create start comment

# XMLWriter::startComment

# xmlwriter_start_comment

(PHP 5 >= 5.1.2, PHP 7, PHP 8, PECL xmlwriter >= 1.0.0)

XMLWriter::startComment -- xmlwriter_start_comment — Create start comment

### Description

Object-oriented style

public XMLWriter::startComment(): bool

Procedural style

xmlwriter_start_comment(XMLWriter `$writer`): bool

Starts a comment.

### Parameters

`writer`

  Only for procedural calls. The XMLWriter instance that is being modified. This object is returned from a call to xmlwriter_open_uri() or xmlwriter_open_memory().

### Return Values

Returns `true` on success or `false` on failure.

### Changelog

Version | Description
--- | ---
8.0.0 | `writer` expects an XMLWriter instance now; previously, a resource was expected.

### See Also

- XMLWriter::endComment() - Create end comment
- XMLWriter::writeComment() - Write full comment tag